<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <style>
        /* 显示/隐藏过渡效果 */
        .fade-enter-active{
            transition: opacity .5s;
        }
        .fade-leave-active{
            transition: opacity 3s;
        } 

        .fade-enter,
        .fade-leave-to

        /* .fade-leave-active below version 2.1.8 */
        {
            opacity: 0;
        }

        /* 显示过滤效果 */
        .move-enter-active{
            transition: all 2s ;
        }
        /* 隐藏过滤效果 */
        .move-leave-active{
            transition: all 4s ;
        }
        /* 隐藏时的样式 */
        .move-enter,.move-leave-to{
            opacity: 0;
            transform: translateX(30px);
        }
    </style>
</head>

<body>
    <div id="demo">

        <button @click="show = !show">
            Toggle
        </button>
        <transition name="fade">
            <p v-if="show">hello</p>
        </transition>


        <button @click="show2 = !show2">
            Toggle
        </button>
        <transition name="move">
            <p v-if="show2">hello</p>
        </transition>

    </div>

    <script>
        new Vue({
            el: '#demo',
            data: {
                show: true,
                show2: true
            }
        })
    </script>
</body>

</html>